/*===========================================================================*/
/*   (Cnst/walk.scm)                                                         */
/*   Bigloo (2.6b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Dec 15 12:14:36 CET 2003        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc-2.95 -lib-dir /users/serrano/prgm/project/bigloo/lib/2.6b -unsafev -no-hello -O2 -rm -unsafe -s -indent Cnst/walk.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_effectz00;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_effectz00;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_effectz00;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_feffectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_readz00;
   obj_t BgL_writez00;
} *BgL_feffectz00_bglt;

typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;


BGL_IMPORT double BGl_roundflz00zz__r4_numbers_6_5_flonumz00(double);
static obj_t BGl_methodzd2initzd2zzcnst_walkz00();
BGL_IMPORT obj_t open_input_string(obj_t);
static obj_t BGl__safez12z12zzcnst_walkz00(obj_t);
static obj_t BGl__cnstzd2walkz12zc0zzcnst_walkz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t);
static obj_t BGl_za2oldzd2unsafezd2typeza2z00zzcnst_walkz00 = BUNSPEC;
extern obj_t BGl_za2unsafezd2arityza2zd2zzengine_paramz00;
BGL_IMPORT obj_t string_to_bstring(char *);
static obj_t BGl_za2oldzd2unsafezd2rangeza2z00zzcnst_walkz00 = BUNSPEC;
extern obj_t BGl_za2unsafezd2typeza2zd2zzengine_paramz00;
extern obj_t BGl_initializa7ezd2astz75zzcnst_initializa7eza7();
extern obj_t BGl_za2unsafezd2versionza2zd2zzengine_paramz00;
extern obj_t BGl_enterzd2functionzd2zztools_errorz00(obj_t);
static obj_t BGl_cnstzd2initzd2zzcnst_walkz00();
static obj_t BGl_unsafez12z12zzcnst_walkz00();
extern obj_t BGl_leavezd2functionzd2zztools_errorz00();
extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
BGL_IMPORT obj_t BGl_displayzd22zd2zz__r4_output_6_10_3z00(obj_t, obj_t);
extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
static obj_t BGl_importedzd2moduleszd2initz00zzcnst_walkz00();
BGL_EXPORTED_DECL obj_t BGl_cnstzd2walkz12zc0zzcnst_walkz00(obj_t);
static obj_t BGl_za2oldzd2unsafezd2structza2z00zzcnst_walkz00 = BUNSPEC;
BGL_IMPORT obj_t BGl_exitz00zz__errorz00(obj_t);
static obj_t BGl_za2oldzd2unsafezd2arityza2z00zzcnst_walkz00 = BUNSPEC;
static obj_t BGl_toplevelzd2initzd2zzcnst_walkz00();
BGL_IMPORT bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzcnst_walkz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_removez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcnst_allocz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcnst_cachez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcnst_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcnst_initializa7eza7(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
extern obj_t BGl_za2unsafezd2structza2zd2zzengine_paramz00;
extern obj_t BGl_za2initzd2modeza2zd2zzengine_paramz00;
extern obj_t BGl_removezd2varzd2zzast_removez00(obj_t, obj_t);
BGL_IMPORT obj_t display_string(obj_t, obj_t);
extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
extern BgL_nodez00_bglt BGl_cnstz12z12zzcnst_nodez00(BgL_nodez00_bglt);
static obj_t BGl__unsafez12z12zzcnst_walkz00(obj_t);
BGL_IMPORT obj_t bgl_append2(obj_t, obj_t);
extern obj_t BGl_za2unsafezd2rangeza2zd2zzengine_paramz00;
static obj_t BGl_za2oldzd2unsafezd2versionza2z00zzcnst_walkz00 = BUNSPEC;
static obj_t BGl_safez12z12zzcnst_walkz00();
static obj_t BGl_requirezd2initializa7ationz75zzcnst_walkz00 = BUNSPEC;
static obj_t BGl_libraryzd2moduleszd2initz00zzcnst_walkz00();
static obj_t __cnst[ 4 ] ;


DEFINE_EXPORT_PROCEDURE( BGl_cnstzd2walkz12zd2envz12zzcnst_walkz00, BgL_bgl__cnstza7d2walkza712za7c0za7za7cnst_walkza7003209z00, BGl__cnstzd2walkz12zc0zzcnst_walkz00, 0L, 1 );
DEFINE_STRING( BGl_string3178z00zzcnst_walkz00, BgL_bgl_string3178za700za7za7cnst_walkza7003210z00, "(stop-cnst-alloc! safe!) cnst (start-cnst-cache! start-cnst-alloc! unsafe!) pass-started ", 89 );
DEFINE_STRING( BGl_string3177z00zzcnst_walkz00, BgL_bgl_string3177za700za7za7cnst_walkza7003211z00, "failure during postlude hook", 28 );
DEFINE_STRING( BGl_string3176z00zzcnst_walkz00, BgL_bgl_string3176za700za7za7cnst_walkza7003212z00, " occured, ending ...", 20 );
DEFINE_STRING( BGl_string3175z00zzcnst_walkz00, BgL_bgl_string3175za700za7za7cnst_walkza7003213z00, " error", 6 );
DEFINE_STRING( BGl_string3174z00zzcnst_walkz00, BgL_bgl_string3174za700za7za7cnst_walkza7003214z00, "      [", 7 );
DEFINE_STRING( BGl_string3173z00zzcnst_walkz00, BgL_bgl_string3173za700za7za7cnst_walkza7003215z00, "failure during prelude hook", 27 );
DEFINE_STRING( BGl_string3172z00zzcnst_walkz00, BgL_bgl_string3172za700za7za7cnst_walkza7003216z00, "   . ", 5 );
DEFINE_STRING( BGl_string3171z00zzcnst_walkz00, BgL_bgl_string3171za700za7za7cnst_walkza7003217z00, "Cnst", 4 );
extern obj_t BGl_startzd2cnstzd2allocz12zd2envzc0zzcnst_allocz00;
DEFINE_STATIC_PROCEDURE( BGl_unsafez12zd2envzc0zzcnst_walkz00, BgL_bgl__unsafeza712za712za7za7cnst_walkza7003218za7, BGl__unsafez12z12zzcnst_walkz00, 0L, 0 );
extern obj_t BGl_startzd2cnstzd2cachez12zd2envzc0zzcnst_cachez00;
extern obj_t BGl_stopzd2cnstzd2allocz12zd2envzc0zzcnst_allocz00;
DEFINE_STATIC_PROCEDURE( BGl_safez12zd2envzc0zzcnst_walkz00, BgL_bgl__safeza712za712za7za7cnst_walkza7003219za7, BGl__safez12z12zzcnst_walkz00, 0L, 0 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzcnst_walkz00(long BgL_checksumz00_1122, char * BgL_fromz00_1123)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzcnst_walkz00))
{ 
BGl_requirezd2initializa7ationz75zzcnst_walkz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzcnst_walkz00(); 
BGl_cnstzd2initzd2zzcnst_walkz00(); 
BGl_importedzd2moduleszd2initz00zzcnst_walkz00(); 
BGl_toplevelzd2initzd2zzcnst_walkz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzcnst_walkz00()
{ AN_OBJECT;
{ /* ./Cnst/walk.scm 15 */
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(((long)0), "cnst_walk"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "cnst_walk"); 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)0), "cnst_walk"); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "cnst_walk"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long)0), "cnst_walk"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "cnst_walk"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzcnst_walkz00()
{ AN_OBJECT;
{ /* ./Cnst/walk.scm 15 */
{ /* ./Cnst/walk.scm 15 */
obj_t BgL_cportz00_1115;
BgL_cportz00_1115 = 
open_input_string(BGl_string3178z00zzcnst_walkz00); 
{ 
long BgL_iz00_1116;
BgL_iz00_1116 = ((long)3); 
BgL_loopz00_1117:
{ /* ./Cnst/walk.scm 15 */
bool_t BgL_test3180z00_1118;
BgL_test3180z00_1118 = 
(BgL_iz00_1116==((long)-1)); 
if(BgL_test3180z00_1118)
{ /* ./Cnst/walk.scm 15 */
return BUNSPEC;}  else 
{ /* ./Cnst/walk.scm 15 */
{ /* ./Cnst/walk.scm 15 */
obj_t BgL_arg3183z00_1119;
{ /* ./Cnst/walk.scm 15 */
obj_t BgL_list3186z00_1120;
BgL_list3186z00_1120 = 
MAKE_PAIR(BgL_cportz00_1115, BNIL); 
BgL_arg3183z00_1119 = 
BGl_readz00zz__readerz00(BgL_list3186z00_1120); } 
{ /* ./Cnst/walk.scm 15 */
int BgL_auxz00_1142;
BgL_auxz00_1142 = 
(int)(BgL_iz00_1116); 
CNST_TABLE_SET(BgL_auxz00_1142, BgL_arg3183z00_1119); } } 
{ /* ./Cnst/walk.scm 15 */
int BgL_auxz00_1121;
{ /* ./Cnst/walk.scm 15 */
long BgL_auxz00_1145;
BgL_auxz00_1145 = 
(BgL_iz00_1116-((long)1)); 
BgL_auxz00_1121 = 
(int)(BgL_auxz00_1145); } 
{ 
long BgL_iz00_1148;
BgL_iz00_1148 = 
(long)(BgL_auxz00_1121); 
BgL_iz00_1116 = BgL_iz00_1148; 
goto BgL_loopz00_1117;} } } } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzcnst_walkz00()
{ AN_OBJECT;
{ /* ./Cnst/walk.scm 15 */
BGl_za2oldzd2unsafezd2typeza2z00zzcnst_walkz00 = BFALSE; 
BGl_za2oldzd2unsafezd2arityza2z00zzcnst_walkz00 = BFALSE; 
BGl_za2oldzd2unsafezd2rangeza2z00zzcnst_walkz00 = BFALSE; 
BGl_za2oldzd2unsafezd2structza2z00zzcnst_walkz00 = BFALSE; 
return ( 
BGl_za2oldzd2unsafezd2versionza2z00zzcnst_walkz00 = BFALSE, BUNSPEC) ;} 
}



/* cnst-walk! */
BGL_EXPORTED_DEF obj_t BGl_cnstzd2walkz12zc0zzcnst_walkz00(obj_t BgL_globalsz00_1)
{ AN_OBJECT;
{ /* ./Cnst/walk.scm 33 */
{ /* ./Cnst/walk.scm 34 */
obj_t BgL_list2666z00_659;
{ /* ./Cnst/walk.scm 34 */
obj_t BgL_arg2669z00_661;
{ /* ./Cnst/walk.scm 34 */
obj_t BgL_arg2673z00_663;
{ /* ./Cnst/walk.scm 34 */
obj_t BgL_auxz00_1150;
BgL_auxz00_1150 = 
BCHAR(((unsigned char)'\n')); 
BgL_arg2673z00_663 = 
MAKE_PAIR(BgL_auxz00_1150, BNIL); } 
BgL_arg2669z00_661 = 
MAKE_PAIR(BGl_string3171z00zzcnst_walkz00, BgL_arg2673z00_663); } 
BgL_list2666z00_659 = 
MAKE_PAIR(BGl_string3172z00zzcnst_walkz00, BgL_arg2669z00_661); } 
BGl_verbosez00zztools_speekz00(
BINT(((long)1)), BgL_list2666z00_659); } 
BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 = 
BINT(((long)0)); 
BGl_za2currentzd2passza2zd2zzengine_passz00 = BGl_string3171z00zzcnst_walkz00; 
{ 
obj_t BgL_hooksz00_664;obj_t BgL_hnamesz00_665;
{ /* ./Cnst/walk.scm 34 */
obj_t BgL_arg2677z00_667;obj_t BgL_arg2678z00_668;
{ /* ./Cnst/walk.scm 34 */
obj_t BgL_list2681z00_669;
{ /* ./Cnst/walk.scm 34 */
obj_t BgL_arg2683z00_670;
{ /* ./Cnst/walk.scm 34 */
obj_t BgL_arg2686z00_671;
BgL_arg2686z00_671 = 
MAKE_PAIR(BGl_unsafez12zd2envzc0zzcnst_walkz00, BNIL); 
BgL_arg2683z00_670 = 
MAKE_PAIR(BGl_startzd2cnstzd2allocz12zd2envzc0zzcnst_allocz00, BgL_arg2686z00_671); } 
BgL_list2681z00_669 = 
MAKE_PAIR(BGl_startzd2cnstzd2cachez12zd2envzc0zzcnst_cachez00, BgL_arg2683z00_670); } 
BgL_arg2677z00_667 = BgL_list2681z00_669; } 
BgL_arg2678z00_668 = 
CNST_TABLE_REF(((long)1)); 
BgL_hooksz00_664 = BgL_arg2677z00_667; 
BgL_hnamesz00_665 = BgL_arg2678z00_668; 
BgL_loopz00_666:
{ /* ./Cnst/walk.scm 34 */
bool_t BgL_test2689z00_672;
BgL_test2689z00_672 = 
NULLP(BgL_hooksz00_664); 
if(BgL_test2689z00_672)
{ /* ./Cnst/walk.scm 34 */
CNST_TABLE_REF(((long)0)); }  else 
{ /* ./Cnst/walk.scm 34 */
bool_t BgL_test2690z00_673;
{ /* ./Cnst/walk.scm 34 */
obj_t BgL_fun2705z00_679;
BgL_fun2705z00_679 = 
CAR(BgL_hooksz00_664); 
{ /* ./Cnst/walk.scm 34 */
obj_t BgL_auxz00_1166;
BgL_auxz00_1166 = 
PROCEDURE_ENTRY(BgL_fun2705z00_679)(BgL_fun2705z00_679, BEOA); 
BgL_test2690z00_673 = 
CBOOL(BgL_auxz00_1166); } } 
if(BgL_test2690z00_673)
{ /* ./Cnst/walk.scm 34 */
{ /* ./Cnst/walk.scm 34 */
obj_t BgL_arg2692z00_674;obj_t BgL_arg2693z00_675;
BgL_arg2692z00_674 = 
CDR(BgL_hooksz00_664); 
BgL_arg2693z00_675 = 
CDR(BgL_hnamesz00_665); 
{ 
obj_t BgL_hnamesz00_1174;obj_t BgL_hooksz00_1173;
BgL_hooksz00_1173 = BgL_arg2692z00_674; 
BgL_hnamesz00_1174 = BgL_arg2693z00_675; 
BgL_hnamesz00_665 = BgL_hnamesz00_1174; 
BgL_hooksz00_664 = BgL_hooksz00_1173; 
goto BgL_loopz00_666;} } }  else 
{ /* ./Cnst/walk.scm 34 */
{ /* ./Cnst/walk.scm 34 */
obj_t BgL_arg2700z00_678;
BgL_arg2700z00_678 = 
CAR(BgL_hnamesz00_665); 
BGl_internalzd2errorzd2zztools_errorz00(BGl_string3171z00zzcnst_walkz00, BGl_string3173z00zzcnst_walkz00, BgL_arg2700z00_678); } } } } } } 
{ /* ./Cnst/walk.scm 35 */
obj_t BgL_list2709z00_680;
{ /* ./Cnst/walk.scm 35 */
obj_t BgL_arg2712z00_682;
{ /* ./Cnst/walk.scm 35 */
obj_t BgL_arg2715z00_683;
{ /* ./Cnst/walk.scm 35 */
obj_t BgL_arg2718z00_684;
{ /* ./Cnst/walk.scm 35 */
obj_t BgL_auxz00_1177;
BgL_auxz00_1177 = 
BCHAR(((unsigned char)'\n')); 
BgL_arg2718z00_684 = 
MAKE_PAIR(BgL_auxz00_1177, BNIL); } 
{ /* ./Cnst/walk.scm 35 */
obj_t BgL_auxz00_1180;
BgL_auxz00_1180 = 
BCHAR(((unsigned char)']')); 
BgL_arg2715z00_683 = 
MAKE_PAIR(BgL_auxz00_1180, BgL_arg2718z00_684); } } 
BgL_arg2712z00_682 = 
MAKE_PAIR(BGl_za2initzd2modeza2zd2zzengine_paramz00, BgL_arg2715z00_683); } 
BgL_list2709z00_680 = 
MAKE_PAIR(BGl_string3174z00zzcnst_walkz00, BgL_arg2712z00_682); } 
BGl_verbosez00zztools_speekz00(
BINT(((long)2)), BgL_list2709z00_680); } 
{ 
obj_t BgL_l2662z00_685;
BgL_l2662z00_685 = BgL_globalsz00_1; 
BgL_forzd2each2663zd2_686:
{ /* ./Cnst/walk.scm 36 */
bool_t BgL_test2722z00_687;
BgL_test2722z00_687 = 
PAIRP(BgL_l2662z00_685); 
if(BgL_test2722z00_687)
{ /* ./Cnst/walk.scm 36 */
{ /* ./Cnst/walk.scm 37 */
obj_t BgL_globalz00_688;
BgL_globalz00_688 = 
CAR(BgL_l2662z00_685); 
{ /* ./Cnst/walk.scm 37 */
obj_t BgL_arg2724z00_689;
{ /* ./Cnst/walk.scm 37 */
BgL_variablez00_bglt BgL_obj1093z00_1085;
BgL_obj1093z00_1085 = 
(BgL_variablez00_bglt)(BgL_globalz00_688); 
BgL_arg2724z00_689 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1093z00_1085))->BgL_idz00); } 
BGl_enterzd2functionzd2zztools_errorz00(BgL_arg2724z00_689); } 
{ /* ./Cnst/walk.scm 38 */
BgL_valuez00_bglt BgL_funz00_690;
{ /* ./Cnst/walk.scm 38 */
BgL_variablez00_bglt BgL_obj1100z00_1086;
BgL_obj1100z00_1086 = 
(BgL_variablez00_bglt)(BgL_globalz00_688); 
BgL_funz00_690 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1100z00_1086))->BgL_valuez00); } 
{ /* ./Cnst/walk.scm 38 */
BgL_nodez00_bglt BgL_newzd2bodyzd2_691;
{ /* ./Cnst/walk.scm 39 */
obj_t BgL_arg2729z00_692;
{ /* ./Cnst/walk.scm 39 */
BgL_sfunz00_bglt BgL_obj1370z00_1087;
BgL_obj1370z00_1087 = 
(BgL_sfunz00_bglt)(BgL_funz00_690); 
BgL_arg2729z00_692 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1370z00_1087))->BgL_bodyz00); } 
BgL_newzd2bodyzd2_691 = 
BGl_cnstz12z12zzcnst_nodez00(
(BgL_nodez00_bglt)(BgL_arg2729z00_692)); } 
{ /* ./Cnst/walk.scm 39 */

{ /* ./Cnst/walk.scm 40 */
BgL_sfunz00_bglt BgL_obj1373z00_1088;obj_t BgL_val1371z00_1089;
BgL_obj1373z00_1088 = 
(BgL_sfunz00_bglt)(BgL_funz00_690); 
BgL_val1371z00_1089 = 
(obj_t)(BgL_newzd2bodyzd2_691); 
((((BgL_sfunz00_bglt)CREF(BgL_obj1373z00_1088))->BgL_bodyz00) = ((obj_t)BgL_val1371z00_1089), BUNSPEC); } } } } 
BGl_leavezd2functionzd2zztools_errorz00(); } 
{ /* ./Cnst/walk.scm 36 */
obj_t BgL_arg2736z00_693;
BgL_arg2736z00_693 = 
CDR(BgL_l2662z00_685); 
{ 
obj_t BgL_l2662z00_1204;
BgL_l2662z00_1204 = BgL_arg2736z00_693; 
BgL_l2662z00_685 = BgL_l2662z00_1204; 
goto BgL_forzd2each2663zd2_686;} } }  else 
{ /* ./Cnst/walk.scm 36 */((bool_t)1); } } } 
{ /* ./Cnst/walk.scm 43 */
obj_t BgL_valuez00_694;
{ /* ./Cnst/walk.scm 43 */
obj_t BgL_arg2786z00_715;obj_t BgL_arg2787z00_716;
BgL_arg2786z00_715 = 
CNST_TABLE_REF(((long)2)); 
{ /* ./Cnst/walk.scm 43 */
obj_t BgL_arg2790z00_717;
BgL_arg2790z00_717 = 
BGl_initializa7ezd2astz75zzcnst_initializa7eza7(); 
BgL_arg2787z00_716 = 
bgl_append2(BgL_arg2790z00_717, BgL_globalsz00_1); } 
BgL_valuez00_694 = 
BGl_removezd2varzd2zzast_removez00(BgL_arg2786z00_715, BgL_arg2787z00_716); } 
{ /* ./Cnst/walk.scm 43 */
bool_t BgL_test2740z00_695;
{ /* ./Cnst/walk.scm 43 */
long BgL_n1z00_1091;
BgL_n1z00_1091 = 
(long)CINT(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00); 
BgL_test2740z00_695 = 
(BgL_n1z00_1091>((long)0)); } 
if(BgL_test2740z00_695)
{ /* ./Cnst/walk.scm 43 */
{ /* ./Cnst/walk.scm 43 */
obj_t BgL_port2664z00_696;
BgL_port2664z00_696 = 
BGL_CURRENT_ERROR_PORT(); 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00, BgL_port2664z00_696); 
display_string(BGl_string3175z00zzcnst_walkz00, BgL_port2664z00_696); 
{ /* ./Cnst/walk.scm 43 */
char * BgL_arg2744z00_697;
{ /* ./Cnst/walk.scm 43 */
bool_t BgL_test2746z00_698;
{ /* ./Cnst/walk.scm 43 */
bool_t BgL_test2747z00_699;
{ /* ./Cnst/walk.scm 43 */
bool_t BgL_res3124z00_1099;
{ /* ./Cnst/walk.scm 43 */
obj_t BgL_objz00_1093;
BgL_objz00_1093 = BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00; 
{ /* ./Cnst/walk.scm 43 */
bool_t BgL_test1396z00_1094;
BgL_test1396z00_1094 = 
INTEGERP(BgL_objz00_1093); 
if(BgL_test1396z00_1094)
{ /* ./Cnst/walk.scm 43 */
BgL_res3124z00_1099 = ((bool_t)1); }  else 
{ /* ./Cnst/walk.scm 43 */
bool_t BgL_test1397z00_1095;
BgL_test1397z00_1095 = 
REALP(BgL_objz00_1093); 
if(BgL_test1397z00_1095)
{ /* ./Cnst/walk.scm 43 */
double BgL_arg1399z00_1096;
BgL_arg1399z00_1096 = 
BGl_roundflz00zz__r4_numbers_6_5_flonumz00(
REAL_TO_DOUBLE(BgL_objz00_1093)); 
{ /* ./Cnst/walk.scm 43 */
double BgL_auxz00_1221;
BgL_auxz00_1221 = 
REAL_TO_DOUBLE(BgL_objz00_1093); 
BgL_res3124z00_1099 = 
(BgL_auxz00_1221==BgL_arg1399z00_1096); } }  else 
{ /* ./Cnst/walk.scm 43 */
BgL_res3124z00_1099 = ((bool_t)0); } } } } 
BgL_test2747z00_699 = BgL_res3124z00_1099; } 
if(BgL_test2747z00_699)
{ /* ./Cnst/walk.scm 43 */
BgL_test2746z00_698 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00, 
BINT(((long)1))); }  else 
{ /* ./Cnst/walk.scm 43 */
BgL_test2746z00_698 = ((bool_t)0); } } 
if(BgL_test2746z00_698)
{ /* ./Cnst/walk.scm 43 */
BgL_arg2744z00_697 = "s"; }  else 
{ /* ./Cnst/walk.scm 43 */
BgL_arg2744z00_697 = ""; } } 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(
string_to_bstring(BgL_arg2744z00_697), BgL_port2664z00_696); } 
display_string(BGl_string3176z00zzcnst_walkz00, BgL_port2664z00_696); 
WRITE_CHAR(((unsigned char)'\n'), BgL_port2664z00_696); } 
{ /* ./Cnst/walk.scm 43 */
obj_t BgL_list2754z00_700;
{ /* ./Cnst/walk.scm 43 */
obj_t BgL_auxz00_1232;
BgL_auxz00_1232 = 
BINT(((long)-1)); 
BgL_list2754z00_700 = 
MAKE_PAIR(BgL_auxz00_1232, BNIL); } 
return 
BGl_exitz00zz__errorz00(BgL_list2754z00_700);} }  else 
{ 
obj_t BgL_hooksz00_701;obj_t BgL_hnamesz00_702;
{ /* ./Cnst/walk.scm 43 */
obj_t BgL_arg2757z00_704;obj_t BgL_arg2758z00_705;
{ /* ./Cnst/walk.scm 43 */
obj_t BgL_list2761z00_706;
{ /* ./Cnst/walk.scm 43 */
obj_t BgL_arg2763z00_707;
BgL_arg2763z00_707 = 
MAKE_PAIR(BGl_safez12zd2envzc0zzcnst_walkz00, BNIL); 
BgL_list2761z00_706 = 
MAKE_PAIR(BGl_stopzd2cnstzd2allocz12zd2envzc0zzcnst_allocz00, BgL_arg2763z00_707); } 
BgL_arg2757z00_704 = BgL_list2761z00_706; } 
BgL_arg2758z00_705 = 
CNST_TABLE_REF(((long)3)); 
BgL_hooksz00_701 = BgL_arg2757z00_704; 
BgL_hnamesz00_702 = BgL_arg2758z00_705; 
BgL_loopz00_703:
{ /* ./Cnst/walk.scm 43 */
bool_t BgL_test2766z00_708;
BgL_test2766z00_708 = 
NULLP(BgL_hooksz00_701); 
if(BgL_test2766z00_708)
{ /* ./Cnst/walk.scm 43 */
return BgL_valuez00_694;}  else 
{ /* ./Cnst/walk.scm 43 */
bool_t BgL_test2767z00_709;
{ /* ./Cnst/walk.scm 43 */
obj_t BgL_fun2781z00_714;
BgL_fun2781z00_714 = 
CAR(BgL_hooksz00_701); 
{ /* ./Cnst/walk.scm 43 */
obj_t BgL_auxz00_1242;
BgL_auxz00_1242 = 
PROCEDURE_ENTRY(BgL_fun2781z00_714)(BgL_fun2781z00_714, BEOA); 
BgL_test2767z00_709 = 
CBOOL(BgL_auxz00_1242); } } 
if(BgL_test2767z00_709)
{ /* ./Cnst/walk.scm 43 */
{ /* ./Cnst/walk.scm 43 */
obj_t BgL_arg2769z00_710;obj_t BgL_arg2770z00_711;
BgL_arg2769z00_710 = 
CDR(BgL_hooksz00_701); 
BgL_arg2770z00_711 = 
CDR(BgL_hnamesz00_702); 
{ 
obj_t BgL_hnamesz00_1250;obj_t BgL_hooksz00_1249;
BgL_hooksz00_1249 = BgL_arg2769z00_710; 
BgL_hnamesz00_1250 = BgL_arg2770z00_711; 
BgL_hnamesz00_702 = BgL_hnamesz00_1250; 
BgL_hooksz00_701 = BgL_hooksz00_1249; 
goto BgL_loopz00_703;} } }  else 
{ /* ./Cnst/walk.scm 43 */
{ /* ./Cnst/walk.scm 43 */
obj_t BgL_arg2776z00_713;
BgL_arg2776z00_713 = 
CAR(BgL_hnamesz00_702); 
return 
BGl_internalzd2errorzd2zztools_errorz00(BGl_za2currentzd2passza2zd2zzengine_passz00, BGl_string3177z00zzcnst_walkz00, BgL_arg2776z00_713);} } } } } } } } } 
}



/* _cnst-walk! */
obj_t BGl__cnstzd2walkz12zc0zzcnst_walkz00(obj_t BgL_envz00_1108, obj_t BgL_globalsz00_1109)
{ AN_OBJECT;
{ /* ./Cnst/walk.scm 33 */
return 
BGl_cnstzd2walkz12zc0zzcnst_walkz00(BgL_globalsz00_1109);} 
}



/* unsafe! */
obj_t BGl_unsafez12z12zzcnst_walkz00()
{ AN_OBJECT;
{ /* ./Cnst/walk.scm 50 */
BGl_za2oldzd2unsafezd2typeza2z00zzcnst_walkz00 = BGl_za2unsafezd2typeza2zd2zzengine_paramz00; 
BGl_za2unsafezd2typeza2zd2zzengine_paramz00 = BTRUE; 
BGl_za2oldzd2unsafezd2arityza2z00zzcnst_walkz00 = BGl_za2unsafezd2arityza2zd2zzengine_paramz00; 
BGl_za2unsafezd2arityza2zd2zzengine_paramz00 = BTRUE; 
BGl_za2oldzd2unsafezd2rangeza2z00zzcnst_walkz00 = BGl_za2unsafezd2rangeza2zd2zzengine_paramz00; 
BGl_za2unsafezd2rangeza2zd2zzengine_paramz00 = BTRUE; 
BGl_za2oldzd2unsafezd2structza2z00zzcnst_walkz00 = BGl_za2unsafezd2structza2zd2zzengine_paramz00; 
BGl_za2unsafezd2structza2zd2zzengine_paramz00 = BTRUE; 
BGl_za2oldzd2unsafezd2versionza2z00zzcnst_walkz00 = BGl_za2unsafezd2versionza2zd2zzengine_paramz00; 
return ( 
BGl_za2unsafezd2versionza2zd2zzengine_paramz00 = BTRUE, BUNSPEC) ;} 
}



/* _unsafe! */
obj_t BGl__unsafez12z12zzcnst_walkz00(obj_t BgL_envz00_1110)
{ AN_OBJECT;
{ /* ./Cnst/walk.scm 50 */
return 
BGl_unsafez12z12zzcnst_walkz00();} 
}



/* safe! */
obj_t BGl_safez12z12zzcnst_walkz00()
{ AN_OBJECT;
{ /* ./Cnst/walk.scm 65 */
BGl_za2unsafezd2typeza2zd2zzengine_paramz00 = BGl_za2oldzd2unsafezd2typeza2z00zzcnst_walkz00; 
BGl_za2unsafezd2arityza2zd2zzengine_paramz00 = BGl_za2oldzd2unsafezd2arityza2z00zzcnst_walkz00; 
BGl_za2unsafezd2rangeza2zd2zzengine_paramz00 = BGl_za2oldzd2unsafezd2rangeza2z00zzcnst_walkz00; 
BGl_za2unsafezd2structza2zd2zzengine_paramz00 = BGl_za2oldzd2unsafezd2structza2z00zzcnst_walkz00; 
return ( 
BGl_za2unsafezd2versionza2zd2zzengine_paramz00 = BGl_za2oldzd2unsafezd2versionza2z00zzcnst_walkz00, BUNSPEC) ;} 
}



/* _safe! */
obj_t BGl__safez12z12zzcnst_walkz00(obj_t BgL_envz00_1113)
{ AN_OBJECT;
{ /* ./Cnst/walk.scm 65 */
return 
BGl_safez12z12zzcnst_walkz00();} 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzcnst_walkz00()
{ AN_OBJECT;
{ /* ./Cnst/walk.scm 15 */
return BUNSPEC;} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzcnst_walkz00()
{ AN_OBJECT;
{ /* ./Cnst/walk.scm 15 */
BGl_modulezd2initializa7ationz75zztools_speekz00(((long)23537), "cnst_walk"); 
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)25566), "cnst_walk"); 
BGl_modulezd2initializa7ationz75zzengine_passz00(((long)10268), "cnst_walk"); 
BGl_modulezd2initializa7ationz75zztools_shapez00(((long)30833), "cnst_walk"); 
BGl_modulezd2initializa7ationz75zzengine_paramz00(((long)14260), "cnst_walk"); 
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19090), "cnst_walk"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)44246), "cnst_walk"); 
BGl_modulezd2initializa7ationz75zzast_nodez00(((long)50868), "cnst_walk"); 
BGl_modulezd2initializa7ationz75zzast_removez00(((long)12493), "cnst_walk"); 
BGl_modulezd2initializa7ationz75zzcnst_allocz00(((long)26410), "cnst_walk"); 
BGl_modulezd2initializa7ationz75zzcnst_cachez00(((long)32847), "cnst_walk"); 
BGl_modulezd2initializa7ationz75zzcnst_nodez00(((long)44711), "cnst_walk"); 
return 
BGl_modulezd2initializa7ationz75zzcnst_initializa7eza7(((long)51947), "cnst_walk");} 
}

